'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RecordBrowserNavBar;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _RecordBrowserNavBar = require('../../../styles/cspace-ui/RecordBrowserNavBar.css');

var _RecordBrowserNavBar2 = _interopRequireDefault(_RecordBrowserNavBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var messages = (0, _reactIntl.defineMessages)({
  new: {
    'id': 'recordBrowserNavBar.new',
    'defaultMessage': 'New Record'
  },
  primary: {
    'id': 'recordBrowserNavBar.primary',
    'defaultMessage': 'Primary Record'
  }
});

var propTypes = {
  csid: _react.PropTypes.string
};

function RecordBrowserNavBar(props) {
  var csid = props.csid;


  var primaryTabMessage = csid ? messages.primary : messages.new;

  return _react2.default.createElement(
    'nav',
    { className: _RecordBrowserNavBar2.default.common },
    _react2.default.createElement(
      'ul',
      null,
      _react2.default.createElement(
        'li',
        null,
        _react2.default.createElement(_reactIntl.FormattedMessage, primaryTabMessage)
      )
    )
  );
}

RecordBrowserNavBar.propTypes = propTypes;