'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = RecordButtonBar;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _CloneButton = require('./CloneButton');

var _CloneButton2 = _interopRequireDefault(_CloneButton);

var _SaveButton = require('./SaveButton');

var _SaveButton2 = _interopRequireDefault(_SaveButton);

var _RevertButton = require('./RevertButton');

var _RevertButton2 = _interopRequireDefault(_RevertButton);

var _RecordButtonBar = require('../../../styles/cspace-ui/RecordButtonBar.css');

var _RecordButtonBar2 = _interopRequireDefault(_RecordButtonBar);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var propTypes = {
  csid: _react.PropTypes.string,
  isModified: _react.PropTypes.bool,
  isSavePending: _react.PropTypes.bool,
  clone: _react.PropTypes.func,
  revert: _react.PropTypes.func,
  save: _react.PropTypes.func
};

function RecordButtonBar(props) {
  var csid = props.csid,
      isModified = props.isModified,
      isSavePending = props.isSavePending,
      clone = props.clone,
      revert = props.revert,
      save = props.save;


  return _react2.default.createElement(
    'div',
    { className: _RecordButtonBar2.default.common },
    _react2.default.createElement(_SaveButton2.default, {
      isModified: isModified,
      isSavePending: isSavePending,
      save: save
    }),
    _react2.default.createElement(_CloneButton2.default, {
      csid: csid,
      isModified: isModified,
      isSavePending: isSavePending,
      clone: clone
    }),
    _react2.default.createElement(_RevertButton2.default, {
      csid: csid,
      isModified: isModified,
      isSavePending: isSavePending,
      revert: revert
    })
  );
}

RecordButtonBar.propTypes = propTypes;